# SynthOpt
SynthOpt is a Python package for creating different levels of synthetic data and optimising the privacy/utility trade-off for different requirements. Requires python version 3.8.x, 3.9.x or 3.10.x.

**There are three aspects to SythOpt:**

## Generation
Generate different levels of fidelity of synthetic data. You can create synthetic data either from metadata or from datasets (both single-table and multi-table). Different synthesiser models are available to choose from, including differentially private synthesisers.

## Evaluation
Evaluate privacy, utility and quality of synthetic data using our metrics, as well as create visualisations and reports.

## Optimisation
Optimise the privacy/utility trade-off depending on your requirements - generate highly private synthetic data, highly useful synthetic data, or find the right balance in between.

------------

## Documentation
Here is a link to the documentation for this package:
[SynthOpt Documentation](https://lewishotchkiss.gitbook.io/synthopt "SynthOpt Documentation")
